---
search:
  tags:
    - Webhooks
    - GET
seo:
  description: >-
    Returns a paginated list of webhook subscriptions for a shop. Reference for
    the GET /hub/{shop_id}/subscriptions endpoint in the Bolder API v1.
sidebar:
  label: List subscriptions
  badge: GET
title: List subscriptions
type: openapi-operation
---
Returns a paginated list of webhook subscriptions for a shop.

`GET /hub/{shop_id}/subscriptions`

**Responses**

- `200` — Paginated subscriptions list

Response example, 200:

```json
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 0,
        "status": "pending",
        "topic": "string",
        "url": "string",
        "notify_origin": true,
        "auth": {
          "type": "none",
          "username": "string",
          "password": "string"
        },
        "error_count": 0,
        "last_error": "string",
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "_links": {}
      }
    ]
  }
}
```
